'use strict';

var ExternoServices = angular.module('ExternoServices', []);

ExternoServices.factory('Externo', ['Conexao',
    (Conexao) => {

    var externoFactory = {};

    externoFactory.getListaCompras = (params, callBackFunction) => {
        Conexao.ExecutaService('getListaComprasExterno', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    externoFactory.setListaCompras = (params, callBackFunction) => {
        Conexao.ExecutaService('setListaComprasExterno', params, true,
            (data) => {
                callBackFunction(data);
            });
    }
    
    externoFactory.getInformacoesObra = (params, callBackFunction) => {
        Conexao.ExecutaService('getInformacoesObra', params, true,
        (data) => {
            callBackFunction(data);
        });
    }

    externoFactory.getListaEstado = (params, callBackFunction) => {
        Conexao.ExecutaService('getListaEstadoExterna', params, false,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    externoFactory.getListaCidade = (params, callBackFunction) => {
        Conexao.ExecutaService('getListaCidadeExterna', params, false,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    externoFactory.getEnderecoCEP = (cep, callBackFunction) => {
        Conexao.ExecutaServiceExterno(`https://viacep.com.br/ws/${cep}/json/`, false,
            (data) => {
                callBackFunction(data);
            }
        );
    }

    externoFactory.getPlanos = (callBackFunction) => {
        Conexao.ExecutaService('getPlanos', {}, false,
            (data) => {
                callBackFunction(data);
            });
    }

    externoFactory.getPlanosConfig = (callBackFunction) => {
        Conexao.ExecutaService('getPlanosConfig', {}, false,
            (data) => {
                callBackFunction(data);
            });
    }

    externoFactory.setPlano = (params, callBackFunction) => {
        Conexao.ExecutaService('setPlano', params, false,
            (data) => {
                callBackFunction(data);
            });
    }

    return externoFactory;

  }]);
